## ZendX_JQuery_View_Helper_DatePicker

Description

jQuery Date Picker View Helper

- copyright: Copyright (c) 2005-2008 Zend Technologies USA Inc. (http://www.zend.com)
- license: New BSD License
- uses: Zend_View_Helper_FormText

Located in /JQuery/View/Helper/DatePicker.php (line 42)

    Zend_View_Helper_HtmlElement
       |
       --ZendX_JQuery_View_Helper_UiWidget
          |
          --ZendX_JQuery_View_Helper_DatePicker

Method Summary
static string resolveZendLocaleToDatePickerFormat ([ $format = null])
string datePicker (string $id, [string $value = null], [ $params = array()], [ $attribs = array()])
Variables

#### Inherited Variables

Inherited from ZendX_JQuery_View_Helper_UiWidget

> ZendX_JQuery_View_Helper_UiWidget::$jquery

Methods
static resolveZendLocaleToDatePickerFormat (line 96)

A Check for Zend_Locale existance has already been done in datePicker()

this function only resolves the default format from Zend Locale to a jQuery Date Picker readable format. This function can be potentially buggy because of its easy nature and is therefore stripped from the core functionality to be easily overriden.

- access: public

static string resolveZendLocaleToDatePickerFormat ([ $format = null])

- $format

datePicker (line 54)

Create a jQuery UI Widget Date Picker

- link: http://docs.jquery.com/UI/Datepicker
- access: public

string datePicker (string $id, [string $value = null], [ $params = array()], [ $attribs = array()])

- string $id
- string $value
- array $params: jQuery Widget Parameters
- array $attribs: HTML Element Attributes

#### Inherited Methods

Inherited From ZendX_JQuery_View_Helper_UiWidget

> ZendX_JQuery_View_Helper_UiWidget::setView()
> ZendX_JQuery_View_Helper_UiWidget::_prepareAttributes()

Documentation generated on Mon, 24 Aug 2009 17:58:45 -0700 by phpDocumentor 1.4.2